#include "vision.h"
#include <bits/stdc++.h>
#define pb push_back
#define eb emplace_back
#define ll long long
using namespace std;
const int N=2e5+5;

vector<int> getVisionPattern1d()
{
    return {1,2,3,4};
}
int getMove1d(vector<int> v)
{
    int x=(int)v.size()/2;
    if(x==1)
    {
        if(v[x+1]==2) return x+1;
        else return x-1;
    }
    else if(x==2)
    {
        if(v[x+1]==3) return x+1;
        else return x-1;
    }
    else if(x==3)
    {
        if(v[x+1]==4) return x+2;
        else return x-2;
    }
    else
    {
        if(v[x+1]==1) return x+1;
        else return x-1;
    }
}

vector<vector<int>> getVisionPattern2d()
{

}
pair<int,int> getMove2d(vector<vector<int>> v)
{

}
